//+------------------------------------------------------------------+
//|                                                         NATR.mq4 |
//+------------------------------------------------------------------+

#property copyright "Copyright  2011, TheXpert"
#property link      "theforexpert@gmail.com"

extern int     ATRPeriod = 14;

#property indicator_separate_window

#property indicator_buffers 1

#property indicator_color1 Red
#property indicator_width1 2

double ATR[];

int init()
{
   SetIndexBuffer(0, ATR);
   SetIndexLabel(0, "ATR");

   return(0);
}

int start()
{
   int toCount = Bars - IndicatorCounted();
   
   for (int i = toCount - 1; i >= 0; i--)
   {
      ATR[i] = iMA(Symbol(), 0, ATRPeriod, 0, MODE_EMA, PRICE_CLOSE, i);
      
      if (ATR[i] != 0)
      {
         ATR[i] = 1000.0*iATR(Symbol(), 0, ATRPeriod, i)/ATR[i];
      }
      else
      {
         ATR[i] = EMPTY_VALUE;
      }
   }
   
   return(0);
}